void DutchmanQuestComplete(string sQuestName, string qname)
{
	ref chr;

	//trace("--- QUEST " + sQuestName + " CHECKED ---");
	int iChar = -1;
	int iShipChar = -1;
	string sVideoFile = "";

	switch(sQuestName)
	{
		{
		case "begin_dutchman":
			DoQuestCheckDelay("rank2 check", 1.0);
			
			case "rank2 check"
			if (sti(pchar.rank) >= 2)
			{
				PostVideoAndQuest("IntroDutch",1.0,"begin_dutchman_continue");
			}
			else
			{
				CheckDutchmanRank(qname, 2);
			}
		break;
		}
		{
		case "begin_dutchman_continue";
			//login Davy Jones
			iChar = GenerateCharacter(PIRATE, WITH_SHIP, "officer", MAN, 1, BOSS);
			characters[iChar].id = "Davy Jones";
			characters[iChar].name = "Davy";
			characters[iChar].lastname = "Jones";
			characters[iChar].model = "pirate_5";
			characters[iChar].Ship.Type = GenerateShip(SHIP_DUTCHMAN, 1);
			characters[iChar].ship.name = "The Flying Dutchman";
			characters[iChar].skill.Fencing = 10;
			characters[iChar].skill.Gun = 10;
			GiveItem2Character(CharacterFromID("Davy Jones"), "blade15");
			EquipCharacterByItem(CharacterFromID("Davy Jones"), "blade15");
			characters[iChar].cannotsurrender = 1;
			DoQuestCheckDelay("rank5 check", 2);			
		break;
		}
		{
			{
			case "rank5 check":
				if (sti(pchar.rank) >= 5)
				{
					GiveItem2Character(pchar, "pslip");
					DoQuestCheckDelay("rank5 passed", 2)
				}
				else
				{
					CheckStoryLineRank(qname, 5);
				}
			break;
			}
				{
				case "rank5 passed"
					DoQuestCheckDelay(init dutchman, 3)
				}
				{	
					{
					case "init dutchman"
					//generate encounter
					iChar = GetCharacterIndex("Davy Jones");
					DeleteAttribute(&characters[iChar], "seaai");
					Group_CreateGroup("dutchman");
					Group_AddCharacter("dutchman", "Davy Jones");
					Group_SetGroupCommander("dutchman", "Davy Jones");
					Group_SetAddress("dutchman", "grenada", "quest_ships", "quest_ship_1");
					SetCharacterRelationBoth(nMainCharacterIndex, iChar, RELATION_ENEMY);
					Group_SetTaskAttack("dutchman", PLAYER_GROUP);
					Group_LockTask("dutchman");
					UpdateRelations();
					DoQuestCheckDelay("capture", 4)
					}
				break;
				}
				{
				case "capture"
				if QuestShipCaptured("quest_ship_1", 4);
				}
					DoQuestCheckDelay("reward", 5);
				{
				else
				{
					DoQuestCheckDelay(init dutchman);
				}
				break;
				}
			}
			{
			case "reward":
				GiveItem2Character(pchar, "blade19");
				GiveItem2Character(pchar, "gun6");
				TakeItemFromCharacter(pchar, "pslip");
				DoQuestCheckDelay("quest_complete", 6)
			break; 
			}
		{
		case "quest_complete"
			PostVideo("OutroDutch",1);
		break;
		}
	}
}